﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Icedream.InstantFileTransfer
{
    public delegate Stream HandleStreamDelegate(IFTPClient client, string modestring);
    /// <summary>
    /// Represents a delegate for processing file progress
    /// </summary>
    /// <param name="filename">The file name of which the progress is reported</param>
    /// <param name="filecode">The file code of the progress file</param>
    /// <param name="bytesDecoded">The actual amount of decoded bytes</param>
    /// <param name="bytesTotal">The total amount of bytes to transfer</param>
    /// <param name="cancel">Set this to True to cancel file transfer</param>
    public delegate void FileProgressDelegate(string filecode, long bytesDecoded, long bytesTotal, out bool cancel);
}
